Package org.gitana.platform.client.project

# Interface Project

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `ProjectImpl`

public interface Project extends PlatformDocument, AccessControllable, Selfable, Attachable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_FAMILY`
`static final String`
`FIELD_PROJECT_TYPE`
`static final String`
`FIELD_SHARED_STACK`
`static final String`
`FIELD_STACK_ID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFamily()`
`String`
`getProjectType()`
`boolean`
`getSharedStack()`
`Stack`
`getStack()`
`String`
`getStackId()`
`void`
`inviteUser(String userId)`
`void`
`setFamily(String projectFamily)`
`void`
`setProjectType(String projectType)`
`void`
`setSharedStack(boolean sharedStack)`
`void`
`setStackId(String stackId)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_STACK_ID

static final String FIELD_STACK_ID

See Also:
  - Constant Field Values

### FIELD_PROJECT_TYPE

static final String FIELD_PROJECT_TYPE

See Also:
  - Constant Field Values

### FIELD_FAMILY

static final String FIELD_FAMILY

See Also:
  - Constant Field Values

### FIELD_SHARED_STACK

static final String FIELD_SHARED_STACK

See Also:
  - Constant Field Values

## Method Details

### getStackId

String getStackId()

### setStackId

void setStackId(String stackId)

### getProjectType

String getProjectType()

### setProjectType

void setProjectType(String projectType)

### getFamily

String getFamily()

### setFamily

void setFamily(String projectFamily)

### getStack

Stack getStack()

### getSharedStack

boolean getSharedStack()

### setSharedStack

void setSharedStack(boolean sharedStack)

### inviteUser

void inviteUser(String userId)